[Pbibuild] PBI-8 Autobuild (amd64): emulators/mupen64/

Build 8x64 root at build8x64.pcbsd.org
Sun Jan 8 03:38:16 PST 2012


PBI Autobuild results for module emulators/mupen64/:
Status: Failed

View Folder:
ftp://ftp.pcbsd.org/pub/pbioutgoing/x64/8/emulators/mupen64//

File listing:
-rw-r--r--  1 root  wheel  200656 Jan  8 03:38 build.log.bz2
-rw-r--r--  1 root  wheel       0 Jan  5 20:29 build.time

PBI MD5:



Last 50 lines of build.log
---------------------------------------------------
install  -o root -g wheel -m 444 /usr/ports/emulators/mupen64-base/work/mupen64_src-0.5/mupen64.ini /usr/Programs/mupen64/share/mupen64
install  -o root -g wheel -m 444 /usr/ports/emulators/mupen64-base/work/mupen64_src-0.5/lang/* /usr/Programs/mupen64/share/mupen64/lang/
/bin/mkdir -p /usr/Programs/mupen64/share/doc/mupen64
install  -o root -g wheel -m 444 /usr/ports/emulators/mupen64-base/work/mupen64_src-0.5/whatsnew.txt /usr/Programs/mupen64/share/doc/mupen64/whatsnew.txt
install  -o root -g wheel -m 444 /usr/ports/emulators/mupen64-base/work/mupen64_src-0.5/README.vcr /usr/Programs/mupen64/share/doc/mupen64/README.vcr
install  -o root -g wheel -m 444 /usr/ports/emulators/mupen64-base/work/mupen64_src-0.5/doc/readme.pdf /usr/Programs/mupen64/share/doc/mupen64/readme.pdf
===>   Registering installation for mupen64-base-0.5_1
===>   Returning to build of mupen64-0.5_3
===>   mupen64-0.5_3 depends on file: /usr/Programs/mupen64/share/mupen64/plugins/dummyaudio.so - not found
===>    Verifying install for /usr/Programs/mupen64/share/mupen64/plugins/dummyaudio.so in /usr/ports/emulators/mupen64-dummyaudio
===>  License check disabled, port has not defined LICENSE
===>  Extracting for mupen64-dummyaudio-0.5_1
=> SHA256 Checksum OK for mupen64/mupen64_src-0.5.tar.bz2.
===>  Patching for mupen64-dummyaudio-0.5_1
===>   Converting DOS text file to UNIX text file: 
===>  Applying extra patch /usr/ports/emulators/mupen64-dummyaudio/../mupen64-base/files/patch-Makefile
===>   mupen64-dummyaudio-0.5_1 depends on executable: gmake - found
===>   mupen64-dummyaudio-0.5_1 depends on file: /usr/Programs/mupen64/bin/sdl-config - found
===>   mupen64-dummyaudio-0.5_1 depends on executable: pkg-config - found
===>   mupen64-dummyaudio-0.5_1 depends on shared library: glib-12.3 - found
===>   mupen64-dummyaudio-0.5_1 depends on shared library: gtk-12.2 - found
===>  Configuring for mupen64-dummyaudio-0.5_1
===>  Building for mupen64-dummyaudio-0.5_1
cc -O2 -pipe -fno-strict-aliasing -std=gnu89 -DX86 -fexpensive-optimizations -fomit-frame-pointer -funroll-loops -ffast-math -fno-strict-aliasing -Wall   -c -o dummy_audio/audio.o dummy_audio/audio.c
cc dummy_audio/audio.o -Wl,-Bsymbolic -shared -o plugins/dummyaudio.so
/usr/bin/ld: dummy_audio/audio.o: relocation R_X86_64_32 can not be used when making a shared object; recompile with -fPIC
dummy_audio/audio.o: could not read symbols: Bad value
gmake: *** [plugins/dummyaudio.so] Error 1
*** Error code 1

Stop in /usr/ports/emulators/mupen64-dummyaudio.
*** Error code 1

Stop in /usr/ports/emulators/mupen64.
===>  Installing for mupen64-0.5_3
===>   mupen64-0.5_3 depends on file: /usr/Programs/mupen64/bin/mupen64 - found
===>   mupen64-0.5_3 depends on file: /usr/Programs/mupen64/share/mupen64/plugins/dummyaudio.so - not found
===>    Verifying install for /usr/Programs/mupen64/share/mupen64/plugins/dummyaudio.so in /usr/ports/emulators/mupen64-dummyaudio
===>  Building for mupen64-dummyaudio-0.5_1
cc dummy_audio/audio.o -Wl,-Bsymbolic -shared -o plugins/dummyaudio.so
/usr/bin/ld: dummy_audio/audio.o: relocation R_X86_64_32 can not be used when making a shared object; recompile with -fPIC
dummy_audio/audio.o: could not read symbols: Bad value
gmake: *** [plugins/dummyaudio.so] Error 1
*** Error code 1

Stop in /usr/ports/emulators/mupen64-dummyaudio.
*** Error code 1

Stop in /usr/ports/emulators/mupen64.
ERROR: 2.1 Build failed of emulators/mupen64/!!!


More information about the Pbibuild mailing list